org.deidentifier.arx.gui.view.impl.common

## Class ComponentTitledBorder

- java.lang.Object
- - org.deidentifier.arx.gui.view.impl.common.ComponentTitledBorder

All Implemented Interfaces:
  IComponent

    public class ComponentTitledBorder
    extends java.lang.Object
    implements IComponent

This class implements a titled border.

Author:
  Fabian Prasser

### Constructor Summary

Constructors
Constructor and Description
`ComponentTitledBorder(org.eclipse.swt.widgets.Composite parent, Controller controller, java.lang.String title, java.lang.String id)` Creates a new instance.

### Method Summary

All Methods Instance Methods Concrete Methods
`org.eclipse.swt.widgets.Composite` `getControl()` Returns the underlying control.
`org.eclipse.swt.custom.CTabItem` `getTab()` Returns the tab
`void` `setChild(org.eclipse.swt.widgets.Control child)` Sets the child control.
`void` `setLayoutData(java.lang.Object data)` Sets layout data.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ComponentTitledBorder

    public ComponentTitledBorder(org.eclipse.swt.widgets.Composite parent,
                                 Controller controller,
                                 java.lang.String title,
                                 java.lang.String id)

Creates a new instance.

Parameters:
  `parent` -
  `controller` -
  `title` -
  `id` -

### Method Detail

#### getControl

    public org.eclipse.swt.widgets.Composite getControl()

Returns the underlying control.

Returns:

#### getTab

    public org.eclipse.swt.custom.CTabItem getTab()

Returns the tab

Returns:

#### setChild

    public void setChild(org.eclipse.swt.widgets.Control child)

Sets the child control.

Parameters:
  `child` -

#### setLayoutData

    public void setLayoutData(java.lang.Object data)

Sets layout data.

Parameters:
  `data` -